@echo off
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Universidad de los Andes (Bogot - Colombia)
REM Departamento de Ingeniera de Sistemas y Computacin 
REM Licenciado bajo el esquema Academic Free License version 2.1 
REM
REM Proyecto Cupi2 (http://cupi2.uniandes.edu.co)
REM Ejercicio: n12_messengerAmigos
REM Autor: Mario Snchez - 21-abr-2006
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SET CLASSPATH=

REM ---------------------------------------------------------
REM Asegura la creacin de los directorios classes y lib
REM ---------------------------------------------------------

cd ..
mkdir classes
mkdir lib

REM ---------------------------------------------------------
REM Compila las clases del directorio source
REM ---------------------------------------------------------
cd source
javac -d ../classes/ uniandes/cupi2/messengerAmigos/cliente/*.java
javac -d ../classes/ uniandes/cupi2/messengerAmigos/interfazCliente/*.java
javac -d ../classes/ uniandes/cupi2/messengerAmigos/servidor/*.java
javac -d ../classes/ uniandes/cupi2/messengerAmigos/interfazServidor/*.java

REM ---------------------------------------------------------
REM Crea el archivo jar a partir de los archivos compilados
REM ---------------------------------------------------------

cd ..
cd classes
jar cf ../lib/messengerAmigos.jar uniandes/*

cd ../bin

pause
