/**~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * $Id: IVentanaConversacion.java,v 1.1 2006/11/09 03:11:30 f-vela Exp $ 
 * Universidad de los Andes (Bogot - Colombia)
 * Departamento de Ingeniera de Sistemas y Computacin 
 * Todos los derechos reservados 2005 
 *
 * Proyecto Cupi2 
 * Ejercicio: n12_messengerAmigos 
 * Autor: Mario Snchez - 2/05/2006 
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
 */

package uniandes.cupi2.messengerAmigos.interfazCliente;

/**
 * Esta interfaz define los mtodos que ofrece la ventana de una conversacin y que le interesan a la clase Conversacion
 */
public interface IVentanaConversacion 
{
    /**
     * Muestra un mensaje en la ventana
     * @param mensaje El mensaje que debe ser mostrado - mensaje != null
     */
    void publicarMensaje( String mensaje );

    /**
     * Cierra la conversacin y cierra la ventana <br>
     * Si la ventana es cerrada por el usuario, entonces se cierra la conversacin asociada tambin.
     */
    void dispose( );
    
    /**
     * Cambai el chequeo
     * 
     */
    void changeCheck(int i );
    
}