/** ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * $Id: MessengerException.java,v 1.1 2006/11/09 03:12:50 f-vela Exp $
 * Universidad de los Andes (Bogot - Colombia)
 * Departamento de Ingeniera de Sistemas y Computacin 
 * Licenciado bajo el esquema Academic Free License versin 2.1
 *
 * Proyecto Cupi2 (http://cupi2.uniandes.edu.co)
 * Ejercicio: n12_messengerAmigos
 * Autor: Mario Snchez - 21/04/2006
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */


package uniandes.cupi2.messengerAmigos.servidor;

/**
 * Esta excepcin se utiliza para avisar que se produjeron errores especficos a la aplicacin
 */
public class MessengerException extends Exception
{
    /**
     * Construye la excepcin
     * @param mensaje El mensaje que describe el problema que se present - mensaje != null
     */
    public MessengerException( String mensaje )
    {
        super( mensaje );
    }
}
