// Autor: Alejandro Sotelo Arvalo
// UNIVERSIDAD DE LOS ANDES
// 09/03/2012 (dd/mm/aaaaa)
package uniandes.cupi2.messengerAmigos.verificador;

import gold.structures.automaton.*;

public class GoldAdaptor implements IMessageMng {

	public String input="";
	public IAutomaton<?> adaptee;

	public GoldAdaptor(IAutomaton<?> adaptee) {
		this.adaptee=adaptee;
	}

	@Override
	public Object input() throws Throwable {
		if (!adaptee.acceptsString(input)) {
			throw new Exception("Cadena no aceptada por el autmata!");
		}
		if (adaptee instanceof ITransducer) {
		  return ((ITransducer<?>)adaptee).getOutputString();
		}
		else {
		  return "";
		}
	}

	@Override
	public void setInput(String input) {
		this.input=input;
	}

}
