package uniandes.cupi2.messengerAmigos.verificador.mundoAutomata;

import java.util.ArrayList;

public class DivPorN extends Automata {

	int n;
	
	public DivPorN(int n)
	{ 
		super();

		this.n = n;
		States myStates = new States() ;
		
		ArrayList <State> myFinalStates = new ArrayList <State> ();
		
		State myStartState;
		
		for (int i=0; i<n; i++){
			myStates.storeState(s(i));
		}
		
		myStates.storeState(s("fin"));
		myFinalStates.add(s("fin"));
		myStartState = s(0);
		
		initializeAutomata(myStates,myStartState,myFinalStates);
	}	
	
	protected State delta(State s, char c) throws Exception {
		State resp;
		if (c == '$') 
			resp = s("fin");
		else {
			int   cval = c - '0';
			resp = s((((Integer) s.id())*10 + cval)%n);
		}	
		return resp;
	}

	 protected String transitionOutput(State s, char c) {
			String resp;
			if (c == '$') 
				resp = "R"+ s.toString();
			else {
				int   cval = c - '0';
				try {
					resp = s((((Integer) s.id())*10 + cval)/n).toString();
				}
				catch (Exception e) {
					resp = "ERROR";
				}
			}	
			return resp;
	   }
	 
	 public String toString() {
		return  "Dividir por "+n; 
	 }
}
