package uniandes.cupi2.messengerAmigos.verificador.parsers;

import uniandes.cupi2.messengerAmigos.verificador.IMessageMng;

public class Parser extends SimpleLexer implements IMessageMng {

	public Parser () {
	  super (System.in);
	}
	
	public Parser(java.io.InputStream in){
		super(in);
	}
	
	public String input () throws ParseException
	{ 
		int t;  
		
		frase();
		t = sigToken();
		while ( t == WORD || t == OQ || t == OX) {
			frase();
			t = sigToken();			
		}
		return "Parser Acepta!";
	}
	
	public void frase () throws ParseException
	{
		int t = sigToken();
		 
		
		switch (t) {
			case WORD: aceptar(WORD); palabras(); finAny(); break;
			case OQ: aceptar(OQ); aceptar(WORD); palabras(); finQ(); break;
			case OX: aceptar(OX); aceptar(WORD); palabras(); finX(); break;
			default: throw new ParseException("Se esperaba WORD o  o  "+t+token.image);
		}
	}
	
	
		
	public void palabras() throws ParseException {
		
		int t = sigToken();
		
		while (t == WORD  || t == word || t == OP || t ==EMAIL  || t==QT)
		{
			palabra();
			t = sigToken();
			
			
		}
			
	}
	
  public void palabrasSQ() throws ParseException {
		
		int t = sigToken();
		
		while (t == WORD  || t == word || t == OP ||t == OSB || t ==EMAIL  )
		{
			palabraSQ();
			t = sigToken();
			
			
		}
			
	}
		
	
	public void palabra() throws ParseException {
		int t = sigToken();
		switch (t) {
			case WORD: aceptar(WORD); break;
			case word: aceptar(word); break;
			case EMAIL: aceptar(EMAIL); break;
			case OP: aceptar(OP); palabra(); palabras(); aceptar(CP); break;
			case QT: aceptar(QT); palabraSQ(); palabrasSQ(); aceptar(QT); break;
			default: throw new ParseException("Se esperaba palabra");			
		}
		
	}

	
	public void palabraSQ() throws ParseException {
		int t = sigToken();
		switch (t) {
			case WORD: aceptar(WORD); break;
			case word: aceptar(word); break;
			case EMAIL: aceptar(EMAIL); break;
			case OP: aceptar(OP); palabraSQ(); palabrasSQ(); aceptar(CP); break;
			case OSB: aceptar(OSB); palabra(); palabras(); aceptar(CSB); break;
			default: throw new ParseException("Se esperaba palabra");			
		}
		
	}
	public void finAny() throws ParseException {
		
		int t = sigToken();
		
		switch (t) {
			case DOT: aceptar(DOT); break;
			case CQ: finQ(); break;
			case CX: finX(); break;
			default: throw new ParseException("se esperaba fin");
		}			
	}

   public void finQ() throws ParseException {
	   aceptar(CQ);
	   while (sigToken()==CQ) {
		   aceptar(CQ);
	   }
   }

   public void finX() throws ParseException {
	   aceptar(CX);
	   while (sigToken()==CX) {
		   aceptar(CX);
	   }
   }

}

