package gold.structures.automaton;

public interface IPushdownAutomaton<V> extends IAutomaton<V> {
  
  public IAlphabet getInputAlphabet();
  
  public IAlphabet getStackAlphabet();
  
  public IPushdownConfiguration<V> trace(String pInputString);
  
  public Iterable<IPushdownTransition<V>> getTransitions(V pInput);
  
  public IPushdownDelta<V> delta(V pInput, V pOutput, String pPrefix);
  
}
