package gold.structures.deque;

import java.util.*;
import gold.structures.collection.*;

public class GArrayDeque<E> extends GAdaptorDeque<E> {
  
  private static final long serialVersionUID=-4863095088731154121L;
  
  public GArrayDeque() {
    this(4);
  }
  
  public GArrayDeque(int pCapacity) {
    super(new ArrayDeque<E>(pCapacity));
  }
  
  public GArrayDeque(Collection<? extends E> pCollection) {
    super(new ArrayDeque<E>(pCollection));
  }
  
  public GArrayDeque(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
