package gold.structures.deque;

import java.util.*;
import gold.structures.collection.*;

public class GLinkedDeque<E> extends GAdaptorDeque<E> {
  
  private static final long serialVersionUID=1627269609818892932L;
  
  public GLinkedDeque() {
    super(new LinkedList<E>());
  }
  
  public GLinkedDeque(Collection<? extends E> pCollection) {
    super(new LinkedList<E>(pCollection));
  }
  
  public GLinkedDeque(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
