package gold.structures.deque;

import java.util.*;
import gold.structures.collection.*;

public interface IDeque<E> extends ICollection<E> {
  
  @Override
  public Deque<E> toJavaView();
  
  @Override
  public IDeque<E> clone();
  
  public E getFirst();
  
  public E getLast();
  
  public void addFirst(E pElement);
  
  public void addLast(E pElement);
  
  public E removeFirst();
  
  public E removeLast();
  
}
