package gold.structures.disjointset;

import java.io.*;

public interface IDisjointSets<E> extends Serializable {
  
  public IDisjointSet<E> makeSet(E pData);
  
  public void union(E pData1, E pData2);
  
  public IDisjointSet<E> findSet(E pData);
  
}
