package gold.structures.graph;

import gold.util.*;

@IIsUndirected
public class GImplicitUndirectedGraph<V,E> extends GImplicitDirectedGraph<V,E> {
  
  private static final long serialVersionUID=2175701678783362556L;
  
  public GImplicitUndirectedGraph(Iterable<? extends V> pVertices) {
    super(pVertices);
  }
  
  public GImplicitUndirectedGraph(Iterable<? extends V> pVertices, IMethod pSuccessorsFunction, IMethod pCostFunction) {
    super(pVertices,pSuccessorsFunction,pCostFunction);
  }
  
  protected GImplicitUndirectedGraph(GImplicitDirectedGraph<? extends V,? extends E> pGraph) {
    super(pGraph);
  }
  
  @Override
  public GImplicitUndirectedGraph<V,E> clone() {
    return new GImplicitUndirectedGraph<V,E>(this);
  }
  
  private Object writeReplace() {
    return new GUndirectedGraph<V,E>(this);
  }
  
}
