package gold.structures.heap;

import gold.structures.collection.*;

public interface IHeap<E> extends ICollection<E> {
  
  @Override
  public IHeap<E> clone();
  
  public void insert(E pElement, double pKey);
  
  public void decreaseKey(E pElement, double pKey);
  
  public void delete(E pElement);
  
  @Override
  public boolean contains(Object pElement);
  
  public E minimum();
  
  public double minimumKey();
  
  public E extractMinimum();
  
}
