package gold.structures.list;

import java.util.*;
import gold.structures.collection.*;

public class GLinkedList<E> extends GAdaptorList<E> {
  
  private static final long serialVersionUID=7407610997448491177L;
  
  public GLinkedList() {
    super(new LinkedList<E>());
  }
  
  public GLinkedList(Collection<? extends E> pCollection) {
    super(new LinkedList<E>(pCollection));
  }
  
  public GLinkedList(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
