package gold.structures.map;

import java.util.*;

public class GLinkedHashTableMap<K,V> extends GAdaptorMap<K,V> {
  
  private static final long serialVersionUID=2236195183253701993L;
  
  public GLinkedHashTableMap() {
    this(256);
  }
  
  public GLinkedHashTableMap(int pInitialCapacity) {
    super(new LinkedHashMap<K,V>(pInitialCapacity));
  }
  
  public GLinkedHashTableMap(Map<? extends K,? extends V> pMap) {
    super(new LinkedHashMap<K,V>(pMap));
  }
  
  public GLinkedHashTableMap(IMap<? extends K,? extends V> pMap) {
    this(pMap.toJavaView());
  }
  
}
