package gold.structures.multimap;

import gold.structures.map.*;
import gold.structures.set.*;

public interface IMultiMap<K,V> extends IMap<K,ISet<V>> {
  
  @Override
  public IMultiMap<K,V> clone();
  
  @Override
  public ISet<V> get(Object pKey);
  
  @Override
  public void put(K pKey, ISet<V> pValues);
  
  public void add(K pKey, V pValue);
  
  public V remove(Object pKey, V pValue);
  
}
