package gold.structures.point;

import java.awt.geom.*;
import java.io.*;
import java.util.*;

public interface ILatticePoint extends Iterable<Integer>,Cloneable,Serializable {
  
  public int getCoordinateX();
  
  public int getCoordinateY();
  
  public void getCoordinateX(int pCoordinateX);
  
  public void getCoordinateY(int pCoordinateY);
  
  @Override
  public Iterator<Integer> iterator();
  
  public Point2D toJavaView();
  
  public ILatticePoint clone();
  
}
