package gold.structures.point;

import java.awt.geom.*;
import java.io.*;
import java.util.*;

public interface IPoint extends Iterable<Double>,Cloneable,Serializable {
  
  public double getCoordinateX();
  
  public double getCoordinateY();
  
  public void getCoordinateX(double pCoordinateX);
  
  public void getCoordinateY(double pCoordinateY);
  
  @Override
  public Iterator<java.lang.Double> iterator();
  
  public Point2D toJavaView();
  
  public IPoint clone();
  
}
