package gold.structures.queue;

import java.util.*;
import gold.structures.collection.*;

public class GArrayQueue<E> extends GAdaptorQueue<E> {
  
  private static final long serialVersionUID=1866866191246044942L;
  
  public GArrayQueue() {
    this(4);
  }
  
  public GArrayQueue(int pCapacity) {
    super(new ArrayDeque<E>(pCapacity));
  }
  
  public GArrayQueue(Collection<? extends E> pCollection) {
    super(new ArrayDeque<E>(pCollection));
  }
  
  public GArrayQueue(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
