package gold.structures.queue;

import java.util.*;
import gold.structures.collection.*;

public class GLinkedQueue<E> extends GAdaptorQueue<E> {
  
  private static final long serialVersionUID=-9210970105349292806L;
  
  public GLinkedQueue() {
    super(new LinkedList<E>());
  }
  
  public GLinkedQueue(Collection<? extends E> pCollection) {
    super(new LinkedList<E>(pCollection));
  }
  
  public GLinkedQueue(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
