package gold.structures.set;

import java.util.*;
import gold.structures.collection.*;

public class GHashTableSet<E> extends GAdaptorSet<E> {
  
  private static final long serialVersionUID=4085996472525685278L;
  
  public GHashTableSet() {
    this(128);
  }
  
  public GHashTableSet(int pInitialCapacity) {
    super(new HashSet<E>(pInitialCapacity));
  }
  
  public GHashTableSet(Collection<? extends E> pCollection) {
    super(new HashSet<E>(pCollection));
  }
  
  public GHashTableSet(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
    if (!pCollection.isFinite()) complement();
  }
  
}
