package gold.structures.set;

import java.util.*;
import gold.structures.collection.*;

public class GLinkedHashTableSet<E> extends GAdaptorSet<E> {
  
  private static final long serialVersionUID=-2310602470863132162L;
  
  public GLinkedHashTableSet() {
    this(128);
  }
  
  public GLinkedHashTableSet(int pInitialCapacity) {
    super(new LinkedHashSet<E>(pInitialCapacity));
  }
  
  public GLinkedHashTableSet(Collection<? extends E> pCollection) {
    super(new LinkedHashSet<E>(pCollection));
  }
  
  public GLinkedHashTableSet(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
    if (!pCollection.isFinite()) complement();
  }
  
}
