package gold.structures.stack;

import java.util.*;
import gold.structures.collection.*;

public class GArrayStack<E> extends GAdaptorStack<E> {
  
  private static final long serialVersionUID=-499114413684534086L;
  
  public GArrayStack() {
    this(4);
  }
  
  public GArrayStack(int pCapacity) {
    super(new ArrayList<E>(pCapacity));
  }
  
  public GArrayStack(Collection<? extends E> pCollection) {
    super(new ArrayList<E>(pCollection));
  }
  
  public GArrayStack(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
