package gold.structures.stack;

import java.util.*;
import gold.structures.collection.*;

public class GLinkedStack<E> extends GAdaptorStack<E> {
  
  private static final long serialVersionUID=8974139476038705024L;
  
  public GLinkedStack() {
    super(new LinkedList<E>());
  }
  
  public GLinkedStack(Collection<? extends E> pCollection) {
    super(new LinkedList<E>(pCollection));
  }
  
  public GLinkedStack(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
