package gold.structures.stack;

import java.util.*;
import gold.structures.collection.*;

public interface IStack<E> extends ICollection<E> {
  
  @Override
  public List<E> toJavaView();
  
  @Override
  public IStack<E> clone();
  
  public E peek();
  
  public void push(E pElement);
  
  public E pop();
  
}
