package gold.swing.look;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

public class GFormattedTextFieldLook extends MetalTextFieldUI {
  
  public static ComponentUI createUI(JComponent pComponent) {
    return new GFormattedTextFieldLook();
  }
  
  @Override
  public void installUI(JComponent pComponent) {
    GLookAndFeel.configureBorder(pComponent);
    GLookAndFeel.configureSize(pComponent);
    super.installUI(pComponent);
  }
  
  @Override
  protected void paintBackground(Graphics pGraphics) {
    GLookAndFeel.paintBackground(getComponent(),pGraphics);
  }
  
}
