package gold.test.graph;

import gold.structures.graph.*;
import gold.swing.util.*;
import gold.util.*;
import gold.visualization.graph.*;

@SuppressWarnings({"rawtypes","unchecked"})
public class TestGraph01 {
  
  public static void main(String[] args) {
    GUtilities.installGoldLookAndFeel();
    IGraph graph=new GDirectedGraph(GCollections.asList("A","B","C","D","E"));
    graph.addEdge("A","B",1.6);
    graph.addEdge("A","C",8.1);
    graph.addEdge("A","D",7.3);
    graph.addEdge("B","C",1.8);
    graph.addEdge("C","D",2.225);
    graph.addEdge("D","C",23.6);
    graph.addEdge("D","A",23.6);
    graph.addEdge("A","A",0.1);
    GGraphFrame.show(graph);
    System.out.println(GGraphs.dijkstra(graph,"A"));
  }
  
}
