package gold.test.graph;

import java.util.*;
import gold.structures.graph.*;
import gold.swing.util.*;
import gold.util.*;
import gold.visualization.graph.*;

@SuppressWarnings({"rawtypes","unchecked"})
public class TestGraph02 {
  
  public static void main(String[] args) {
    GUtilities.installGoldLookAndFeel();
    Random random=new Random(0);
    int n=40;
    IGraph graph=new GDirectedGraph(GCollections.integerInterval(0,n-1));
    for (int k=0; k<n*5/4; k++) {
      graph.addEdge(random.nextInt(n),random.nextInt(n),0.01*((int)(random.nextDouble()*100.0)));
    }
    GGraphFrame.show(graph);
  }
  
}
