@echo off
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Universidad de los Andes (Bogot - Colombia)
REM Departamento de Ingeniera de Sistemas y Computacin 
REM Licenciado bajo el esquema Academic Free License version 2.1 
REM
REM Proyecto Cupi2 (http://cupi2.uniandes.edu.co)
REM Ejercicio: n12_messengerAmigos
REM Autor: Mario Snchez - 21-abr-2006
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SET CLASSPATH=

REM ---------------------------------------------------------
REM Asegura la creacin de los directorios classes y lib en test
REM ---------------------------------------------------------

cd ../test
mkdir classes
mkdir lib

REM ---------------------------------------------------------
REM Compila las clases del directotio test/source
REM ---------------------------------------------------------

cd source

javac -classpath ../../lib/messengerAmigos.jar;../lib/junit.jar -d ../classes/ uniandes/cupi2/messengerAmigos/testCliente/*.java

javac -classpath ../../lib/messengerAmigos.jar;../lib/junit.jar -d ../classes/ uniandes/cupi2/messengerAmigos/testServidor/*.java

REM ---------------------------------------------------------
REM Crea el archivo jar a partir de los archivos compilados
REM ---------------------------------------------------------

cd ../classes

jar cf ../lib/messengerAmigosTest.jar uniandes/* -C ../data .

cd ../../bin

pause