package uniandes.cupi2.messengerAmigos.verificador.mundoAutomata;

import java.util.*;

public class ContadorModulo3 extends Automata {

	
	public ContadorModulo3()
	{ 
		super();
		States myStates = new States() ;
		
		ArrayList <State> myFinalStates = new ArrayList <State> ();
		
		State myStartState;
		
		for (int i=0; i<3; i++){
			myStates.storeState(s(i));
		}
		myFinalStates.add(s(0));
		myStartState = s(0);
		initializeAutomata(myStates,myStartState,myFinalStates);
	}	
	
	protected State delta(State st, char c) throws Exception{
		
		State resp;
		int stVal = (Integer) st.id();
		
		if (c == 'a') { 
			resp =  s((stVal+1)%3);
		}
		else if (c == 'b'){
			resp = st;
		}
		else 
			throw new Exception("Error: caracter no permitido - "+c);
		
		return resp;
      }

	 public String toString() {
		   return "Contador Mdulo 3";
	   }
	
}