package uniandes.cupi2.messengerAmigos.verificador.mundoAutomata;

import java.util.ArrayList;

		
public class EjemploAGCT extends Automata {
	
	
	final State err =  s("err");
	final State fin  =  s("fin");
	final State inic =  s("inic");
	final State a =  s(1);
	final State g  =  s(2);
	final State c =  s(3);
	final State t =  s(4);
	
	public EjemploAGCT()
	{
		super();
	
	
		States myStates = new States() ;
	   ArrayList <State> myFinalStates = new ArrayList <State> ();
	
		State myStartState;
	    myStates.storeState(err);
	    myStates.storeState(inic);
	    myStates.storeState(fin);
	    myStates.storeState(a);
	    myStates.storeState(g);
	    myStates.storeState(c);
	    myStates.storeState(t);
	      
		
	    myFinalStates.add(fin);
		
	    
	
			
		myStartState = inic;
	
		initializeAutomata(myStates,myStartState,myFinalStates);
	}
	
	private  State stateC(char cc) {
		switch (cc) {
		case 'a' : return a;
		case 'c' : return c;
		case 't' : return t;
		case 'g' : return g;
		}
		return err;
	}
	protected   State delta(State s, char ch) throws Exception {
	   	
	   
	    if ( ch == '$') {
	    	if (s == c) 
	    		return err;
	    	else
	    		return fin;
	    }
	    else if (s == err) 
	      return(s);
	   else if ( s == inic || s == c) {
		   if ( ch == 'g')
			   return err;
		   else
			   return stateC(ch);
	   }
	   else if ( s == a  || s == t) {
		   return stateC(ch);
	   }
	   else if (s == g) {
		   if ( ch == 'c')
			   return err;
		   else
			   return stateC(ch);
	   }
	   return err; 
	   	   
	}
	
	
	/*
	protected String transitionOutput(State s, char c){

		if ( s == err)
			return "*";
		if (c == 'a' && ((Integer)s.nTh(0)+1)%2 == 0 )
			return "1";
		else  if  (c == 'b' && ((Integer)s.nTh(1)+1)%3 == 0 )
			return "2";
		else if  (c == 'c' && ((Integer)s.nTh(2)+1)%3 == 0 )
			return "3";
		return c+"";
	}
	*/
	 public String toString() {
		   return "AGCT";
	   }
}
	
