package uniandes.cupi2.messengerAmigos.verificador.mundoAutomata;

import java.util.*;

public class HasCat extends Automata {

	private Hashtable<State,State []>   deltaTable;
	
	public HasCat()
	{
	
		super();
	
		States myStates = new States() ;
		
		ArrayList <State> myFinalStates = new ArrayList <State> ();
		
		State myStartState;
		
		myStates.storeState(s("_cat"));
		myStates.storeState(s("c_at"));
		myStates.storeState(s("ca_t"));
		myStates.storeState(s("cat_"));
		
		myFinalStates.add(s("cat_"));
		myStartState = s("_cat");
	
		 
		deltaTable = new Hashtable<State, State []>();
		
		deltaTable.put(s("_cat"), new State [] {s("c_at"), s("_cat"), s("_cat")} );
		deltaTable.put(s("c_at"), new State [] {s("c_at"), s("ca_t"), s("_cat")});
		deltaTable.put(s("ca_t"), new State [] {s("c_at"), s("_cat"), s("cat_")});
		deltaTable.put(s("cat_"), new State [] {s("cat_"), s("cat_"), s("cat_")});
				
		initializeAutomata(myStates,myStartState,myFinalStates);
	}	
	
	private int  charCode (char c) throws Exception {
		if (c=='c')
			return 0;
		else if (c == 'a')
			return 1;
		else if (c == 't')
			return 2;
		else {
			throw new Exception ( "Caracter indefinido para automata: "+c );
		}
			
		
		
	}
	protected State delta(State s, char c) throws Exception {
		
		return (deltaTable.get(s))[charCode(c)];
	}

	 public String toString() {
		   return "Has Cat";
	   }
}
