package uniandes.cupi2.messengerAmigos.verificador.mundoAutomata;

import java.util.*;

public class Petri1 extends Automata {

	private Hashtable<State,State []>   deltaTable;
	
	public Petri1()
	{
	
		super();
	
		States myStates = new States() ;
		
		ArrayList <State> myFinalStates = new ArrayList <State> ();
		
		State myStartState;
		
		myStates.storeState(s(0));
		myStates.storeState(s(1));
		myStates.storeState(s(2));
		myStates.storeState(s(3));
		
		myStartState = s(0);
	
		 
		deltaTable = new Hashtable<State, State []>();
		
		deltaTable.put(s(0), new State [] {s(0),s(1)} );
		deltaTable.put(s(1), new State [] {s(3),s(1)} );
		deltaTable.put(s(2), new State [] {s(2),s(3)} );
		deltaTable.put(s(3), new State [] {s(3),s(3)} );
				
		initializeAutomata(myStates,myStartState,myFinalStates);
	}	
	
	private int  charCode (char c) throws Exception {
		if (c=='a')
			return 0;
		else if (c=='b')
			return 1;
		else {
			throw new Exception ( "Caracter indefinido para automata: "+c );
		}
	}

	protected State delta(State s, char c) throws Exception {
		
		return (deltaTable.get(s))[charCode(c)];
	}

	 public String toString() {
		   return "Petri1";
	   }

	  protected  String stateOutput(State s) {
		   return s.toString();
	   }
	   
}
