package gold.structures.automaton;

import java.io.*;

public interface IAlphabet extends Iterable<Character>,Cloneable,Serializable {
  
  public char[] getSymbols();
  
  public boolean isEmpty();
  
  public int size();
  
  public char getSymbol(int pIndex);
  
  public boolean contains(char pSymbol);
  
  public boolean containsAll(String pSymbols);
  
  public int indexOf(char pSymbol);
  
  @Override
  public boolean equals(Object pObject);
  
  @Override
  public int hashCode();
  
  @Override
  public String toString();
  
  public GAlphabet clone();
  
}
