package gold.structures.automaton;

public interface IPushdownConfiguration<V> {
  
  public boolean isAcceptConfiguration();
  
  public boolean canApply(IPushdownTransition<V> pTransition);
  
  public IPushdownConfiguration<V> apply(IPushdownTransition<V> pTransition);
  
  public V getState();
  
  public String getStack();
  
  public String getInputString();
  
  public IPushdownTransition<V> getTransition();
  
  public IPushdownConfiguration<V> getPreviousConfiguration();
  
}
