package gold.structures.automaton;

public interface ITransducer<V> extends IAutomaton<V> { // Mealy/Moore machine

  public IAlphabet getInputAlphabet();
  
  public IAlphabet getOutputAlphabet();
  
  public String getStateOutput(V pInput);
  
  public String getTransitionOutput(V pInput, char pAction);
  
  public String getOutputString();
  
}
