package gold.structures.disjointset;

public class GForestDisjointSet<E> implements IDisjointSet<E> {
  
  private static final long serialVersionUID=2663319310212427768L;
  
  protected E data;
  protected GForestDisjointSet<E> parent;
  protected int rank;
  
  public GForestDisjointSet(E pData) {
    data=pData;
    parent=this;
    rank=0;
  }
  
  @Override
  public E getData() {
    return data;
  }
  
  protected GForestDisjointSet<E> getParent() {
    return parent;
  }
  
  protected int getRank() {
    return rank;
  }
  
  @Override
  public void setData(E pData) {
    data=pData;
  }
  
  protected void setParent(GForestDisjointSet<E> pParent) {
    parent=pParent;
  }
  
  protected void setRank(int pRank) {
    rank=pRank;
  }
  
  @Override
  public int hashCode() {
    return super.hashCode();
  }
  
  @Override
  public boolean equals(Object pObject) {
    return this==pObject;
  }
  
}
