package gold.structures.list;

import java.util.*;
import gold.structures.collection.*;

public class GArrayList<E> extends GAdaptorList<E> {
  
  private static final long serialVersionUID=-1212374161545247656L;
  
  public GArrayList() {
    this(4);
  }
  
  public GArrayList(int pCapacity) {
    super(new ArrayList<E>(pCapacity));
  }
  
  public GArrayList(Collection<? extends E> pCollection) {
    super(new ArrayList<E>(pCollection));
  }
  
  public GArrayList(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
}
