package gold.structures.map;

import java.util.*;

public class GHashTableMap<K,V> extends GAdaptorMap<K,V> {
  
  private static final long serialVersionUID=7563163294651131536L;
  
  public GHashTableMap() {
    this(256);
  }
  
  public GHashTableMap(int pInitialCapacity) {
    super(new HashMap<K,V>(pInitialCapacity));
  }
  
  public GHashTableMap(Map<? extends K,? extends V> pMap) {
    super(new HashMap<K,V>(pMap));
  }
  
  public GHashTableMap(IMap<? extends K,? extends V> pMap) {
    this(pMap.toJavaView());
  }
  
}
