package gold.structures.queue;

import java.util.*;
import gold.structures.collection.*;

public interface IQueue<E> extends ICollection<E> {
  
  @Override
  public Queue<E> toJavaView();
  
  @Override
  public IQueue<E> clone();
  
  public E head();
  
  public void enqueue(E pElement);
  
  public E dequeue();
  
}
