package gold.structures.stack;

import java.util.*;
import gold.structures.collection.*;

public class GStack<E> extends GAdaptorStack<E> {
  
  private static final long serialVersionUID=-4743039176166094021L;
  
  public GStack() {
    super(new Stack<E>());
  }
  
  public GStack(Collection<? extends E> pCollection) {
    super(GStack.createStack(pCollection));
  }
  
  public GStack(ICollection<? extends E> pCollection) {
    this(pCollection.toJavaView());
  }
  
  private static <E> Stack<E> createStack(Collection<? extends E> pCollection) {
    Stack<E> stack=new Stack<E>();
    stack.addAll(pCollection);
    return stack;
  }
  
}
