package gold.structures.tuple;

import java.util.*;

public interface ICouple<T,U> extends ITuple<Object> {
  
  public T getFirst();
  
  public U getSecond();
  
  public void setFirst(T pFirst);
  
  public void setSecond(U pSecond);
  
  public Map.Entry<T,U> toJavaEntry();
  
  @Override
  public ICouple<T,U> clone();
  
}
