package gold.swing.look;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

public class GPopupMenuSeparatorLook extends MetalPopupMenuSeparatorUI {
  
  public static ComponentUI createUI(JComponent pComponent) {
    return new GPopupMenuSeparatorLook();
  }
  
  @Override
  public Dimension getPreferredSize(JComponent pComponent) {
    return new Dimension(0,1);
  }
  
  @Override
  public void paint(Graphics pGraphics, JComponent pComponent) {
    Color oldColor=pGraphics.getColor();
    pGraphics.setColor(new Color(205,149,12));
    pGraphics.drawLine(0,0,pComponent.getWidth(),0);
    pGraphics.setColor(oldColor);
  }
  
}
