package gold.test.graph;

import java.awt.*;

import gold.structures.tree.nary.*;
import gold.swing.util.*;
import gold.visualization.graph.*;
import gold.visualization.quadtree.*;

public class TestQuadtree {
  
  public static void main(String[] args) {
    GUtilities.installGoldLookAndFeel();
    GQuadtree quadtree=GQuadtree.reconstruct("BWWWBGWWBBGWBBBGG");
    GGraphFrame frame=GGraphFrame.show(quadtree);
    GQuadtreePainter painter=new GQuadtreePainter(quadtree,4,40,true);
    frame.getContentPane().add(painter.getCanvas(),BorderLayout.EAST);
    frame.pack();
  }
  
}
