package gold.util;

import java.util.*;

public final class GArrays {
  
  private GArrays() {
  }
  
  /*
   * Object array builders
   */
  
  public static Long[] toObjectArray(long[] pArray) {
    Long[] result=new Long[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Integer[] toObjectArray(int[] pArray) {
    Integer[] result=new Integer[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Short[] toObjectArray(short[] pArray) {
    Short[] result=new Short[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Byte[] toObjectArray(byte[] pArray) {
    Byte[] result=new Byte[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Double[] toObjectArray(double[] pArray) {
    Double[] result=new Double[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Float[] toObjectArray(float[] pArray) {
    Float[] result=new Float[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Character[] toObjectArray(char[] pArray) {
    Character[] result=new Character[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static Boolean[] toObjectArray(boolean[] pArray) {
    Boolean[] result=new Boolean[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  /*
   * Primitive array builders
   */
  
  public static long[] toPrimitiveArray(Long[] pArray) {
    long[] result=new long[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static int[] toPrimitiveArray(Integer[] pArray) {
    int[] result=new int[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static short[] toPrimitiveArray(Short[] pArray) {
    short[] result=new short[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static byte[] toPrimitiveArray(Byte[] pArray) {
    byte[] result=new byte[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static double[] toPrimitiveArray(Double[] pArray) {
    double[] result=new double[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static float[] toPrimitiveArray(Float[] pArray) {
    float[] result=new float[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static char[] toPrimitiveArray(Character[] pArray) {
    char[] result=new char[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  public static boolean[] toPrimitiveArray(Boolean[] pArray) {
    boolean[] result=new boolean[pArray.length];
    for (int i=0; i<result.length; i++) {
      result[i]=pArray[i];
    }
    return result;
  }
  
  /*
   * Sorting
   */
  
  public static long[] sort(long[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static long[] sort(long[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static int[] sort(int[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static int[] sort(int[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static short[] sort(short[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static short[] sort(short[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static byte[] sort(byte[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static byte[] sort(byte[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static double[] sort(double[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static double[] sort(double[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static float[] sort(float[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static float[] sort(float[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static char[] sort(char[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static char[] sort(char[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static Object[] sort(Object[] pArray) {
    Arrays.sort(pArray);
    return pArray;
  }
  
  public static Object[] sort(Object[] pArray, int pFromIndex, int pToIndex) {
    Arrays.sort(pArray,pFromIndex,pToIndex);
    return pArray;
  }
  
  public static <T> T[] sort(T[] pArray, Comparator<? super T> pComparator) {
    Arrays.sort(pArray,pComparator);
    return pArray;
  }
  
  public static <T> T[] sort(T[] pArray, IMethod pComparator) {
    Arrays.sort(pArray,GComparators.<T>comparator(pComparator));
    return pArray;
  }
  
  public static <T> T[] sort(T[] pArray, int pFromIndex, int pToIndex, Comparator<? super T> pComparator) {
    Arrays.sort(pArray,pFromIndex,pToIndex,pComparator);
    return pArray;
  }
  
  public static <T> T[] sort(T[] pArray, int pFromIndex, int pToIndex, IMethod pComparator) {
    Arrays.sort(pArray,pFromIndex,pToIndex,GComparators.<T>comparator(pComparator));
    return pArray;
  }
  
  /*
   * Searching (binary search)
   */
  
  public static int binarySearch(long[] pArray, long pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(long[] pArray, int pFromIndex, int pToIndex, long pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(int[] pArray, int pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(int[] pArray, int pFromIndex, int pToIndex, int pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(short[] pArray, short pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(short[] pArray, int pFromIndex, int pToIndex, short pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(byte[] pArray, byte pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(byte[] pArray, int pFromIndex, int pToIndex, byte pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(double[] pArray, double pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(double[] pArray, int pFromIndex, int pToIndex, double pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(float[] pArray, float pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(float[] pArray, int pFromIndex, int pToIndex, float pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(char[] pArray, char pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(char[] pArray, int pFromIndex, int pToIndex, char pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static int binarySearch(Object[] pArray, Object pKey) {
    return Arrays.binarySearch(pArray,pKey);
  }
  
  public static int binarySearch(Object[] pArray, int pFromIndex, int pToIndex, Object pKey) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey);
  }
  
  public static <T> int binarySearch(T[] pArray, T pKey, Comparator<? super T> pComparator) {
    return Arrays.binarySearch(pArray,pKey,pComparator);
  }
  
  public static <T> int binarySearch(T[] pArray, T pKey, IMethod pComparator) {
    return Arrays.binarySearch(pArray,pKey,GComparators.<T>comparator(pComparator));
  }
  
  public static <T> int binarySearch(T[] pArray, int pFromIndex, int pToIndex, T pKey, Comparator<? super T> pComparator) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey,pComparator);
  }
  
  public static <T> int binarySearch(T[] pArray, int pFromIndex, int pToIndex, T pKey, IMethod pComparator) {
    return Arrays.binarySearch(pArray,pFromIndex,pToIndex,pKey,GComparators.<T>comparator(pComparator));
  }
  
  /*
   * Searching (linear search)
   */
  
  public static int linearSearch(long[] pArray, long pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(long[] pArray, int pFromIndex, int pToIndex, long pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(int[] pArray, int pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(int[] pArray, int pFromIndex, int pToIndex, int pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(short[] pArray, short pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(short[] pArray, int pFromIndex, int pToIndex, short pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(byte[] pArray, byte pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(byte[] pArray, int pFromIndex, int pToIndex, byte pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(double[] pArray, double pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(double[] pArray, int pFromIndex, int pToIndex, double pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(float[] pArray, float pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(float[] pArray, int pFromIndex, int pToIndex, float pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static int linearSearch(char[] pArray, char pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static int linearSearch(char[] pArray, int pFromIndex, int pToIndex, char pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (pArray[index]==pKey) return index;
    }
    return -1;
  }
  
  public static <T> int linearSearch(T[] pArray, T pKey) {
    return GArrays.linearSearch(pArray,0,pArray.length,pKey);
  }
  
  public static <T> int linearSearch(T[] pArray, int pFromIndex, int pToIndex, T pKey) {
    for (int index=pFromIndex; index<pToIndex; index++) {
      if (GToolkit.equals(pArray[index],pKey)) return index;
    }
    return -1;
  }
  
  /*
   * Equality testing
   */
  
  public static boolean equals(long[] pArray1, long[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(int[] pArray1, int[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(short[] pArray1, short[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(byte[] pArray1, byte[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(double[] pArray1, double[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(float[] pArray1, float[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(char[] pArray1, char[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(boolean[] pArray1, boolean[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  public static boolean equals(Object[] pArray1, Object[] pArray2) {
    return Arrays.equals(pArray1,pArray2);
  }
  
  /*
   * Filling
   */
  
  public static void fill(long[] pArray, long pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(long[] pArray, int pFromIndex, int pToIndex, long pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(int[] pArray, int pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(int[] pArray, int pFromIndex, int pToIndex, int pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(short[] pArray, short pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(short[] pArray, int pFromIndex, int pToIndex, short pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(byte[] pArray, byte pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(byte[] pArray, int pFromIndex, int pToIndex, byte pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(double[] pArray, double pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(double[] pArray, int pFromIndex, int pToIndex, double pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(float[] pArray, float pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(float[] pArray, int pFromIndex, int pToIndex, float pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(char[] pArray, char pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(char[] pArray, int pFromIndex, int pToIndex, char pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(boolean[] pArray, boolean pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(boolean[] pArray, int pFromIndex, int pToIndex, boolean pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(Object[] pArray, Object pValue) {
    Arrays.fill(pArray,pValue);
  }
  
  public static void fill(Object[] pArray, int pFromIndex, int pToIndex, Object pValue) {
    Arrays.fill(pArray,pFromIndex,pToIndex,pValue);
  }
  
  public static void fill(Object pArray, int pFromIndex, int pToIndex, Object pValue) {
    if (pArray==null) return;
    Class<?> type=pArray.getClass();
    if (type==long[].class) {
      GArrays.fill((long[])pArray,pFromIndex,pToIndex,((Long)pValue).longValue());
    }
    else if (type==int[].class) {
      GArrays.fill((int[])pArray,pFromIndex,pToIndex,((Integer)pValue).intValue());
    }
    else if (type==short[].class) {
      GArrays.fill((short[])pArray,pFromIndex,pToIndex,((Short)pValue).shortValue());
    }
    else if (type==byte[].class) {
      GArrays.fill((byte[])pArray,pFromIndex,pToIndex,((Byte)pValue).byteValue());
    }
    else if (type==double[].class) {
      GArrays.fill((double[])pArray,pFromIndex,pToIndex,((Double)pValue).doubleValue());
    }
    else if (type==float[].class) {
      GArrays.fill((float[])pArray,pFromIndex,pToIndex,((Float)pValue).floatValue());
    }
    else if (type==char[].class) {
      GArrays.fill((char[])pArray,pFromIndex,pToIndex,((Character)pValue).charValue());
    }
    else if (type==boolean[].class) {
      GArrays.fill((boolean[])pArray,pFromIndex,pToIndex,((Boolean)pValue).booleanValue());
    }
    else {
      GArrays.fill((Object[])pArray,pFromIndex,pToIndex,pValue);
    }
  }
  
  /*
   * Cloning
   */
  
  public static long[] copyOf(long[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static int[] copyOf(int[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static short[] copyOf(short[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static byte[] copyOf(byte[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static double[] copyOf(double[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static float[] copyOf(float[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static char[] copyOf(char[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static boolean[] copyOf(boolean[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static <T> T[] copyOf(T[] pArray, int pLength) {
    return Arrays.copyOf(pArray,pLength);
  }
  
  public static <T,U> T[] copyOf(U[] pArray, int pLength, Class<? extends T[]> pType) {
    return Arrays.copyOf(pArray,pLength,pType);
  }
  
  public static Object copyOf(Object pArray, int pLength) {
    if (pArray==null) return null;
    Class<?> type=pArray.getClass();
    if (type==long[].class) {
      return GArrays.copyOf((long[])pArray,pLength);
    }
    else if (type==int[].class) {
      return GArrays.copyOf((int[])pArray,pLength);
    }
    else if (type==short[].class) {
      return GArrays.copyOf((short[])pArray,pLength);
    }
    else if (type==byte[].class) {
      return GArrays.copyOf((byte[])pArray,pLength);
    }
    else if (type==double[].class) {
      return GArrays.copyOf((double[])pArray,pLength);
    }
    else if (type==float[].class) {
      return GArrays.copyOf((float[])pArray,pLength);
    }
    else if (type==char[].class) {
      return GArrays.copyOf((char[])pArray,pLength);
    }
    else if (type==boolean[].class) {
      return GArrays.copyOf((boolean[])pArray,pLength);
    }
    else {
      return GArrays.copyOf((Object[])pArray,pLength);
    }
  }
  
  /*
   * Range cloning
   */
  
  public static long[] copyOfRange(long[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static int[] copyOfRange(int[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static short[] copyOfRange(short[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static byte[] copyOfRange(byte[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static double[] copyOfRange(double[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static float[] copyOfRange(float[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static char[] copyOfRange(char[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static boolean[] copyOfRange(boolean[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static <T> T[] copyOfRange(T[] pArray, int pFromIndex, int pToIndex) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex);
  }
  
  public static <T,U> T[] copyOfRange(U[] pArray, int pFromIndex, int pToIndex, Class<? extends T[]> pType) {
    int fromIndex=Math.max(0,Math.min(pArray.length,pFromIndex));
    int toIndex=Math.max(fromIndex,Math.min(pArray.length,pToIndex));
    return Arrays.copyOfRange(pArray,fromIndex,toIndex,pType);
  }
  
  public static Object copyOfRange(Object pArray, int pFromIndex, int pToIndex) {
    if (pArray==null) return null;
    Class<?> type=pArray.getClass();
    if (type==long[].class) {
      return GArrays.copyOfRange((long[])pArray,pFromIndex,pToIndex);
    }
    else if (type==int[].class) {
      return GArrays.copyOfRange((int[])pArray,pFromIndex,pToIndex);
    }
    else if (type==short[].class) {
      return GArrays.copyOfRange((short[])pArray,pFromIndex,pToIndex);
    }
    else if (type==byte[].class) {
      return GArrays.copyOfRange((byte[])pArray,pFromIndex,pToIndex);
    }
    else if (type==double[].class) {
      return GArrays.copyOfRange((double[])pArray,pFromIndex,pToIndex);
    }
    else if (type==float[].class) {
      return GArrays.copyOfRange((float[])pArray,pFromIndex,pToIndex);
    }
    else if (type==char[].class) {
      return GArrays.copyOfRange((char[])pArray,pFromIndex,pToIndex);
    }
    else if (type==boolean[].class) {
      return GArrays.copyOfRange((boolean[])pArray,pFromIndex,pToIndex);
    }
    else {
      return GArrays.copyOfRange((Object[])pArray,pFromIndex,pToIndex);
    }
  }
  
  /*
   * Hashing
   */
  
  public static int hashCode(long[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(int[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(short[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(byte[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(double[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(float[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(char[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(boolean[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(Object[] pArray) {
    return Arrays.hashCode(pArray);
  }
  
  public static int hashCode(Object pArray) {
    if (pArray==null) return 0;
    Class<?> type=pArray.getClass();
    if (type==long[].class) {
      return GArrays.hashCode((long[])pArray);
    }
    else if (type==int[].class) {
      return GArrays.hashCode((int[])pArray);
    }
    else if (type==short[].class) {
      return GArrays.hashCode((short[])pArray);
    }
    else if (type==byte[].class) {
      return GArrays.hashCode((byte[])pArray);
    }
    else if (type==double[].class) {
      return GArrays.hashCode((double[])pArray);
    }
    else if (type==float[].class) {
      return GArrays.hashCode((float[])pArray);
    }
    else if (type==char[].class) {
      return GArrays.hashCode((char[])pArray);
    }
    else if (type==boolean[].class) {
      return GArrays.hashCode((boolean[])pArray);
    }
    else if (pArray instanceof Object[]) {
      return GArrays.hashCode((Object[])pArray);
    }
    else {
      return pArray.hashCode();
    }
  }
  
  /*
   * String conversion
   */
  
  public static String toString(long[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(int[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(short[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(byte[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(double[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(float[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(char[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(boolean[] pArray) {
    return Arrays.toString(pArray);
  }
  
  public static String toString(Object[] pArray) {
    return Arrays.deepToString(pArray);
  }
  
  /*
   * Deep hashing
   */
  
  public static int deepHashCode(Object[] pArray) {
    return Arrays.deepHashCode(pArray);
  }
  
  /*
   * Deep equality testing
   */
  
  public static boolean deepEquals(Object[] pArray1, Object[] pArray2) {
    return Arrays.deepEquals(pArray1,pArray2);
  }
  
  /*
   * Deep string conversion
   */
  
  public static String deepToString(Object[] pArray) {
    return Arrays.deepToString(pArray);
  }
  
}
